## Name

findLSB — find the index of the least significant bit set to 1 in an integer

## Declaration

`genIType findLSB(` | genIType value`)`;

`genIType findLSB(` | genUType value`)`;

## Parameters

`value`

  Specifies the value whose bits to scan.

## Description

`findLSB` returns the bit number of the least significant bit that is set to 1 in the binary representation of `value`. If `value` is zero, -1 will be returned.

## Version Support

| OpenGL Shading Language Version
--- | ---
Function Name | 1.10 | 1.20 | 1.30 | 1.40 | 1.50 | 3.30 | 4.00 | 4.10 | 4.20 | 4.30 | 4.40 | 4.50
findLSB | - | - | - | - | - | - | ✔ | ✔ | ✔ | ✔ | ✔ | ✔

## See Also

findMSB

## Copyright

Copyright © 2011-2014 Khronos Group. This material may be distributed subject to the terms and conditions set forth in the Open Publication License, v 1.0, 8 June 1999. http://opencontent.org/openpub/.